Skip to main content
GET
List available toolkits

Authorizations

x-api-key
string
header
default:your-project-api-key
required

Your Composio project API key. Create or copy it from the Composio dashboard.

Query Parameters

category
string

Filter toolkits by category Category ID or name to filter toolkits by

Example:

"productivity"

managed_by
enum<string>
deprecated

Deprecated: Filter toolkits by who manages them Deprecated: Entity responsible for managing the toolkits

Available options:
composio,
all,
project
type
enum<string>

Filter toolkits by provenance (alias over managed_by) Filter by toolkit provenance: "native" (Composio-managed), "custom" (project-registered custom toolkits), or "all". Takes precedence over managed_by when both are supplied.

Available options:
native,
custom,
all
Example:

"custom"

sort_by
enum<string>

Sort order for returned toolkits Determines how toolkits should be sorted in the response

Available options:
usage,
alphabetically
include_deprecated
boolean | null
default:false

Include deprecated toolkits in the response

Example:

true

Search query to filter toolkits by name, slug, or description Search query to filter toolkits by name, slug, or description (minimum 1 character)

Example:

"gmail"

user_id
string

[EXPERIMENTAL] List the custom toolkits this user can use. Without it, only custom toolkits with access "all" are listed.

Required string length: 1 - 256
Example:

"user_123"

limit
number | null

Number of items per page, max allowed is 1000

cursor
string

Cursor for pagination. The cursor is a base64 encoded string of the page and limit. The page is the page number and the limit is the number of items per page. The cursor is used to paginate through the items. The cursor is not required for the first page.

Response

Toolkits retrieved successfully. Returns a paginated list of available toolkits with detailed metadata.

items
object[]
required
total_pages
number
required
current_page
number
required
total_items
number
required
next_cursor
string | null